{
"errors": [
{
"status": 403,
"code": "permission_denied",
"detail": "User does not have enough permissions to perform action"
}
]
}
{
"errors": [
{
"status": 424,
"code": "partner_api_unhealthy",
"title": "Partner API Temporarily Unavailable",
"detail": "The app's API is currently unhealthy. Retry the request later."
}
]
}
{
"errors": [
{
"status": 429,
"code": "too_many_requests",
"detail": "Rate limit exceeded. Too many requests."
}
]
}
{
"errors": [
{
"status": 500,
"code": "external_service_error",
"detail": "An error occurred with an external service."
}
]
}
Executes an action on behalf of a user, this is an async process.
Requires the id from a stored action
Responds with the unique id for this run of the stored action. In order to fetch results
you will need to poll the GET /stored-actions//runs/ endpoint
with that run id.
Billing
The Actions API offers support for directly billing users for Stored Action
Runs, and this functionality is currently opt-in. To do this, you
must provide a billing claim on the JWT used to authenticate. This
claim must be a JSON string, and any values provided will override the
default configuration shown below. The simplest approach is therefore
to set is_billable to true, and successful Stored Action Runs will be
charged to a user at a rate of one task.
billing: { "is_billable": false, "origin": "actions_api", "usage_type": "action_run", "description": "an action was run via Actions API", "exemption_reason": null, "exemption_details": null}
Rate Limits
Rate limiting is applied when Gargoyle flag edge_actions_api_rate_limiting_global
is active. Requests are rate limited by default unless the JWT explicitly sets
rate_limit.exempt to true.
rate_limit: { "exempt": true}
Non-exempted requests are limited to 200 per 5 minutes by default. To set a custom
limit, include limit_override (1–1000 requests per 5 minutes):
{
"errors": [
{
"status": 403,
"code": "permission_denied",
"detail": "User does not have enough permissions to perform action"
}
]
}
{
"errors": [
{
"status": 424,
"code": "partner_api_unhealthy",
"title": "Partner API Temporarily Unavailable",
"detail": "The app's API is currently unhealthy. Retry the request later."
}
]
}
{
"errors": [
{
"status": 429,
"code": "too_many_requests",
"detail": "Rate limit exceeded. Too many requests."
}
]
}
{
"errors": [
{
"status": 500,
"code": "external_service_error",
"detail": "An error occurred with an external service."
}
]
}
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Zapier","colors":{"primary":"#FF4F00","light":"#FE6C2A","dark":"#FF4F00"},"logo":{"light":"https://mintcdn.com/zapier-82f0e938/uPbDC0jSuXgHCaWD/logo/light.svg?fit=max\u0026auto=format\u0026n=uPbDC0jSuXgHCaWD\u0026q=85\u0026s=b6a37289cb22ac1a9681572651874765","dark":"https://mintcdn.com/zapier-82f0e938/b1yEJJDZ7v1EncmE/logo/dark.svg?fit=max\u0026auto=format\u0026n=b1yEJJDZ7v1EncmE\u0026q=85\u0026s=2c393c141bc7fbb0051aaa46b103f5e8","href":"https://zapier.com"},"favicon":"https://mintcdn.com/zapier-82f0e938/1jtyk4mqAs_J-p30/favicon.png?fit=max\u0026auto=format\u0026n=1jtyk4mqAs_J-p30\u0026q=85\u0026s=a26d7c83b71f1cdec48ae963245f407f","api":{"openapi":["https://api.zapier.com/schema","api-reference/specs/trigger-inbox.yaml","api-reference/specs/actions.yaml","api-reference/specs/connections.yaml","api-reference/specs/agentic-management.yaml"]},"background":{"color":{"light":"#FFFEFB"}},"navbar":{"primary":{"type":"button","label":"Sign Up","href":"https://zapier.com/sign-up"}},"footer":{},"seo":{"indexing":"all"},"integrations":{"gtm":{"tagId":"GTM-K7GFJTV"}},"contextual":{"options":["copy","view",{"title":"Open in ChatGPT","description":"Ask ChatGPT about this page","icon":"/images/logos/branded/openai.svg","href":{"base":"https://chatgpt.com/","query":[{"key":"q","value":"Read https://docs.zapier.com$path.md and help me apply it. Ask what I am building before giving steps."}]}},{"title":"Open in Claude","description":"Ask Claude about this page","icon":"/images/logos/branded/claude.svg","href":{"base":"https://claude.ai/new","query":[{"key":"q","value":"Read https://docs.zapier.com$path.md and help me apply it. Ask what I am building before giving steps."}]}},{"title":"Open in Perplexity","description":"Ask Perplexity about this page","icon":"/images/logos/branded/perplexity.svg","href":{"base":"https://www.perplexity.ai/search","query":[{"key":"q","value":"Read https://docs.zapier.com$path.md and help me apply it. Ask what I am building before giving steps."}]}},{"title":"Open in Claude Code","description":"Use this page in Claude Code","icon":"/images/logos/branded/claude.svg","href":{"base":"claude://code/new","query":[{"key":"q","value":"Read https://docs.zapier.com$path.md and help me apply it to this project. Check what is already here before giving steps."}]}},{"title":"Open in Codex","description":"Use this page in Codex","icon":"/images/logos/branded/openai.svg","href":{"base":"codex://new","query":[{"key":"prompt","value":"Read https://docs.zapier.com$path.md and help me apply it to this project. Check what is already here before giving steps."}]}},{"title":"Open in Cursor","description":"Use this page in Cursor","icon":"/images/logos/branded/cursor.svg","href":{"base":"cursor://anysphere.cursor-deeplink/prompt","query":[{"key":"text","value":"Read https://docs.zapier.com$path.md and help me apply it to this project. Check what is already here before giving steps."}]}}],"display":"header"},"metadata":{"timestamp":true},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"Community","icon":"users","href":"https://community.zapier.com/"},{"anchor":"Changelog","icon":"rss","href":"/white-label/changelog"},{"anchor":"Contact Us","icon":"envelope","href":"https://developer.zapier.com/contact"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"zapier-82f0e938","hasAudioNarration":false,"actualSubdomain":"zapier-82f0e938","customDomains":["docs.zapier.com"],"gitSource":{"type":"gitlab","owner":"zapier/public-api","repo":"public-api-docs","projectId":56036607,"deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae4fb4cc95459be21c9c84b","collectionId":"143bc812-edc0-4199-81cb-c40379f4c77b","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae4fb4cc95459be21c9c84b"},"feedback":{"thumbs":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"ENABLED"},"CONTEXTUAL_FEEDBACK":{"status":"ENABLED"},"CODE_SNIPPET_FEEDBACK":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae4fb4cc95459be21c9c84b","clientVersion":"0.0.4043","searchFilterCounts":[{"language":"default","tag":"Build a Zapier integration","count":149},{"language":"default","tag":"Developer Platform","count":149},{"language":"default","tag":"Embed Zapier","count":105},{"language":"default","tag":"Powered by Zapier","count":86},{"language":"default","tag":"Use Zapier in your tools","count":79},{"language":"default","tag":"Zapier MCP","count":67},{"language":"default","tag":"API reference","count":60},{"language":"default","tag":"Build with UI","count":52},{"language":"default","tag":"API specification","count":50},{"language":"default","tag":"Get started","count":46}]},"assistantConfig":{"enableStarterQuestions":true,"enableContextualStarterQuestions":false},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"starterQuestions":[{"_id":"6ac8f1f2b9b3f8640f05a146","deploymentId":"67001931f47db52dbf2b872a","questionText":"How do I build a public Zapier integration?","status":"active","generatedBy":"manual","createdAt":"2026-10-09T13:53:54.782Z","updatedAt":"2026-10-09T13:53:54.782Z","__v":0},{"_id":"6ac8f1e5b9b3f8640f05a0d1","deploymentId":"67001931f47db52dbf2b872a","questionText":"What's the difference between the SDK and Platform CLI?","status":"active","generatedBy":"manual","createdAt":"2026-10-09T13:53:41.586Z","updatedAt":"2026-10-09T13:53:41.586Z","__v":0},{"_id":"6ac8f1d4b9b3f8640f05a051","deploymentId":"67001931f47db52dbf2b872a","questionText":"How do I connect Zapier MCP to my MCP client?","status":"active","generatedBy":"manual","createdAt":"2026-10-09T13:53:24.465Z","updatedAt":"2026-10-09T13:53:24.465Z","__v":0}],"googleFontsInlined":false},"customCss":[{"filePath":"styles.css","content":"@font-face{font-family:\"Degular Display - Semibold\";src:url(https://fonts.zapier.com/Degular/DegularDisplay-Semibold.woff2);font-display:fallback;font-weight:400}@font-face{font-family:\"Serrif\";src:url(/fonts/serrif-300.woff2) format('woff2');font-display:swap;font-weight:300;font-style:normal}@font-face{font-family:\"Degular Display\";src:url(/fonts/degular-display-500.woff2) format('woff2');font-display:swap;font-weight:500;font-style:normal}@font-face{font-family:\"Degular Display\";src:url(/fonts/degular-display-600.woff2) format('woff2');font-display:swap;font-weight:600;font-style:normal}h2,h3,h4,header h1{font-family:\"Degular Display - Semibold\";font-weight:400!important;letter-spacing:.08rem!important}#chat-assistant-floating-input,.chat-assistant-floating-input,[data-component-part=chat-assistant-floating-input]{display:none!important}.card h2{font-size:1.2rem}.card code{text-decoration:none}:root:not(.dark) .card,:root:not(.dark) .code-block,:root:not(.dark) .code-block pre,:root:not(.dark) .code-block-background,:root:not(.dark) .code-group,:root:not(.dark) .code-group pre,:root:not(.dark) .shiki{background-color:#fffefb!important}.cta-button,.docs-nav-label{letter-spacing:.01em;text-decoration:none!important}.cta-button{display:inline-flex;align-items:center;gap:8px;padding:12px 24px;width:fit-content;background:#ff4f00;color:#fff!important;font-weight:600;font-size:15px;border:0;border-radius:8px;box-shadow:0 2px 8px rgba(255,79,0,.25);transition:all .2s ease;margin:1em 0}.cta-button:hover{background:#e64600;color:#fff!important;text-decoration:none!important;box-shadow:0 4px 12px rgba(255,79,0,.35);transform:translateY(-1px)}.cta-button:active{transform:translateY(0);box-shadow:0 1px 4px rgba(255,79,0,.3)}blockquote.sr-only+h2{margin-top:0}#navbar a[href=\"https://zapier.com\"],#navbar a[href=\"https://zapier.com\"] img{padding-right:0!important;margin-right:0!important}.docs-nav-label{color:#201515!important;font-family:\"Degular Display - Medium\",ui-sans-serif,system-ui,sans-serif;font-weight:400;font-size:1.5rem;margin-left:-.6rem;transition:color .15s ease;vertical-align:middle;cursor:pointer}.docs-nav-label:hover{color:#939084!important;text-decoration:none!important}.dark .docs-nav-label{color:#fffefb!important}.dark .docs-nav-label:hover{color:#c5c0b1!important}[role=menu]:focus,[role=menu]:focus-visible{outline-width:1px}footer:not(#zapier-universal-footer){display:none!important}#zapier-universal-footer{display:block!important;background-color:#fffdf9;font-family:'Inter',Helvetica,arial,sans-serif;font-size:14px;line-height:24px;color:#201515;-webkit-font-smoothing:antialiased;width:100%;margin-top:2rem}.dark #zapier-universal-footer{background-color:#2d2e2e;color:#fffdf9}.zuf{max-width:1200px;margin:0 auto;padding:30px;display:grid;grid-template-rows:auto;grid-template-columns:100%;grid-template-areas:'links' 'socials' 'logo' 'meta';justify-items:center;align-items:center;gap:30px}@media (min-width:650px){.zuf{grid-template-columns:max-content 1fr;grid-template-areas:'links links' 'socials socials' 'logo meta'}}@media (min-width:980px){.zuf{grid-template-columns:max-content 1fr;grid-template-areas:'socials links' 'logo meta'}}.zuf-row--bottom,.zuf-row--top{display:contents}.zuf-socials{grid-area:socials;display:inline-flex;flex-wrap:wrap;align-items:center;gap:10px}@media (min-width:980px){.zuf-socials{justify-self:start}}.zuf-follow{font-size:14px;line-height:20px;font-weight:400;color:#574e4c;white-space:nowrap}.dark .zuf-follow{color:#a8a5a0}.zuf-icon{display:flex;align-items:center;justify-content:center;width:30px;height:30px;border-radius:100%;background-color:#a8a5a0;text-decoration:none!important;transition:background-color .15s ease}.zuf-icon img,.zuf-icon svg{width:16px;height:16px;fill:#fffdf9}.dark .zuf-icon{background-color:#403f3e}.dark .zuf-icon svg,.dark .zuf-logo path{fill:#fffdf9}.zuf-icon[aria-label*=Facebook]:focus,.zuf-icon[aria-label*=Facebook]:hover{background-color:#3b5998;outline:0}.zuf-icon[aria-label*=LinkedIn]:focus,.zuf-icon[aria-label*=LinkedIn]:hover{background-color:#0976b4;outline:0}.zuf-icon[aria-label*=X]:focus,.zuf-icon[aria-label*=X]:hover{background-color:#00aced;outline:0}.zuf-icon[aria-label*=YouTube]:focus,.zuf-icon[aria-label*=YouTube]:hover{background-color:#e52d27;outline:0}.zuf-icon[aria-label*=blog]:focus,.zuf-icon[aria-label*=blog]:hover{background-color:#ff4f00;outline:0}.zuf-links{grid-area:links;display:flex;flex-wrap:wrap;align-items:center;justify-content:center;column-gap:12.5px;row-gap:10px;width:100%}@media (min-width:980px){.zuf-links{justify-content:flex-end}}.zuf-links a{font-family:'Inter',Helvetica,arial,sans-serif;font-size:14px;line-height:24px;font-weight:500;color:#201515!important;padding:0 5px;white-space:nowrap;text-decoration:none!important}.zuf-links a:focus,.zuf-links a:hover{color:#3d4592!important;outline:0}.dark .zuf-links a{color:#fffdf9!important}.dark .zuf-links a:focus,.dark .zuf-links a:hover,.dark .zuf-meta a:focus,.dark .zuf-meta a:hover{color:#90a1ed!important}.zuf-logo,.zuf-meta a{text-decoration:none!important}.zuf-logo{grid-area:logo;display:inline-flex;align-items:center}.zuf-logo svg{display:block}.zuf-logo path{fill:#201515}.zuf-logo path[fill=\"#FF4F00\"]{fill:#ff4f00!important}@media (min-width:650px){.zuf-logo{justify-self:start}}.zuf-meta{grid-area:meta;font-size:14px;line-height:24px;font-weight:400;color:#574e4c;display:flex;flex-wrap:wrap;align-items:center;justify-content:center;row-gap:10px}.dark .zuf-meta{color:#a8a5a0}.zuf-meta a{padding:5px 10px;color:#574e4c!important}.zuf-meta a:focus,.zuf-meta a:hover{color:#3d4592!important;outline:0}.dark .zuf-meta a{color:#a8a5a0!important}@media (min-width:650px){.zuf-meta{justify-self:end;justify-content:flex-end}}.zuf-meta span{margin-right:10px}@media (max-width:979px){.zuf{padding:20px}}"},{"filePath":"index.css","content":".docs-landing{width:100%;margin:0 auto}#navbar{background:#fffef8!important;backdrop-filter:none!important}.dark #navbar{background:#18181b!important}.docs-landing-hero-bg{background:#201515}.docs-landing-hero-bg .dl-hero-title{color:#fff}.docs-landing-hero-bg .docs-landing-lead{color:rgba(255,255,255,.6)}.dark .docs-landing-hero-bg{background:#26201f;border-bottom:1px solid rgba(255,255,255,.08)}.docs-landing-hero{display:grid;grid-template-columns:minmax(0,1fr);gap:clamp(1.5rem,3.5vw,2.5rem);align-items:center;max-width:1180px;margin:0 auto;padding:48px clamp(1.25rem,4vw,2rem) clamp(1.25rem,2.5vw,1.75rem)}.dl-hero-copy,.docs-landing-hero-inner{text-align:center}.dl-hero-copy{max-width:640px;margin:0 auto}.docs-landing-eyebrow{font-family:\"Inter\",ui-sans-serif,system-ui,sans-serif;font-size:.75rem;font-weight:600;letter-spacing:.14em;text-transform:uppercase;color:#605d52;margin:0 0 1.25rem}.docs-landing-title{font-family:\"Degular Display - Semibold\",ui-sans-serif,system-ui,sans-serif;font-size:clamp(2.25rem,4.5vw,3.25rem);line-height:1.08;font-weight:400!important;margin:0 0 1rem;letter-spacing:.08rem!important}.docs-landing-lead{font-family:\"Inter\",ui-sans-serif,system-ui,sans-serif;font-size:1rem;line-height:1.5;color:#201515;margin:0 auto;max-width:62ch}.dark .docs-landing-lead{color:var(--muted-foreground, #a1a1aa)}.docs-landing-media{border-radius:14px;overflow:hidden;box-shadow:0 1px 2px rgba(15,23,42,.06),0 12px 40px rgba(15,23,42,.12);border:1px solid rgba(255,79,0,.12);background:rgba(255,79,0,.04)}.docs-landing-video{display:block;width:100%;height:auto;vertical-align:middle}.docs-landing-products{max-width:1180px;margin:0 auto;padding:clamp(2.5rem,5vw,4rem) clamp(1.25rem,4vw,2rem) clamp(3rem,6vw,5rem)}.docs-landing-section-title{font-family:\"Degular Display - Semibold\",ui-sans-serif,system-ui,sans-serif;font-size:clamp(1.5rem,2.5vw,1.875rem);font-weight:400!important;text-align:left;margin:0 0 2.25rem;letter-spacing:.08rem!important}.dl-hero-title{font-family:\"Degular Display\",ui-sans-serif,system-ui,sans-serif;font-size:clamp(2.5rem,4.8vw,3.5rem);line-height:1.1;font-weight:500;letter-spacing:-.03em!important;color:var(--foreground, #18181b);margin:0 0 .6875rem}.dark .dl-hero-demo code,.dark .dl-hero-title{color:var(--foreground, #fafafa)}.dl-hero-title-accent{color:#ff4f00}.dark .dl-hero-title-accent{color:#ff8a5c}.dl-demo-panel,.dl-hero-demo{border:1px solid rgba(9,9,11,.1);overflow:hidden}.dl-hero-demo{display:flex;align-items:center;justify-content:center;aspect-ratio:1/1;min-height:fit-content;padding:clamp(1rem,3vw,1.75rem);border-radius:10px;background-image:url(/images/pattern-abstract.jpg);background-size:cover;background-position:center;background-repeat:no-repeat}.dark .dl-demo-panel,.dark .dl-hero-demo{border-color:rgba(255,255,255,.12)}.dl-demo-panel{width:100%;border-radius:12px;background:#fff;box-shadow:0 1px 2px rgba(15,23,42,.06),0 12px 40px rgba(15,23,42,.14)}.dark .dl-demo-panel{background:#18181b}.dl-demo-clients{display:flex;flex-wrap:wrap;align-items:center;gap:.5rem;padding:.5rem .75rem;border-bottom:1px solid rgba(9,9,11,.08)}.dark .dl-demo-clients{border-bottom-color:rgba(255,255,255,.1)}.dl-demo-chip{width:36px;height:36px;border-radius:8px;border:1px solid rgba(9,9,11,.1);background:#fff;flex:none;margin:0!important}.dark .dl-demo-chip{border-color:rgba(255,255,255,.14)}.dl-demo-chip--padded{padding:6px}.dl-demo-arch-agents{display:flex;gap:.625rem;padding:1rem 1rem .75rem}.dl-demo-arch-col{flex:1;display:flex;flex-direction:column;gap:.375rem}.dl-demo-arch-label{font-size:.6875rem;font-weight:500;color:var(--muted-foreground, #71717a);margin:0 0 .125rem;letter-spacing:.01em}.dl-demo-arch-label--spacer{visibility:hidden;pointer-events:none;user-select:none}.dl-demo-arch-chip{display:flex;align-items:center;gap:.4375rem;padding:.3125rem .5625rem;border-radius:7px;border:1px solid rgba(9,9,11,.1);background:#fff;font-size:.75rem;font-weight:500;color:#09090b;line-height:1;white-space:nowrap}.dl-demo-arch-chip--muted{background:0 0;border-style:dashed;color:var(--muted-foreground, #71717a)}.dl-demo-arch-chip--logo{justify-content:center;padding:.375rem;width:36px;height:36px}.dl-demo-arch-icon{width:22px;height:22px;border-radius:4px;flex:none}.dl-demo-arch-chip--icon-pad .dl-demo-arch-icon{padding:3px}.dl-demo-arch-merge{position:relative;height:28px;margin:0 1rem}.dl-demo-arch-merge::before{content:'';position:absolute;left:25%;right:25%;top:0;height:14px;border-left:1px solid rgba(9,9,11,.1);border-right:1px solid rgba(9,9,11,.1);border-bottom:1px solid rgba(9,9,11,.1);border-bottom-left-radius:4px;border-bottom-right-radius:4px}.dl-demo-arch-merge::after{content:'';position:absolute;left:50%;transform:translateX(-50%);top:14px;bottom:0;width:1px;background:rgba(9,9,11,.1)}.dl-demo-arch-zapier{display:flex;align-items:center;justify-content:center;gap:.5rem;margin:0 1rem;padding:.625rem 1rem;border:1px solid rgba(9,9,11,.1);border-radius:10px;background:#fff}.dl-demo-arch-stem{display:flex;justify-content:center;height:20px}.dl-demo-arch-stem::after{content:'';width:1px;height:100%;background:rgba(9,9,11,.1)}.dl-demo-arch-apps{display:flex;flex-wrap:wrap;align-items:center;justify-content:center;gap:.375rem;padding:0 1rem .875rem}.dl-demo-arch-app{display:inline-flex;align-items:center;padding:.25rem .625rem;border-radius:6px;border:1px solid rgba(9,9,11,.1);background:#fff;font-size:.6875rem;font-weight:500;color:#09090b;white-space:nowrap}.dl-demo-arch-app--more{background:0 0;border-color:#e06c2c;color:#e06c2c;font-weight:600;text-decoration:none}.dl-demo-arch-app--more:hover{background:rgba(224,108,44,.06)}.dark .dl-demo-arch-stem::after{background:rgba(255,255,255,.1)}.dark .dl-demo-arch-app,.dark .dl-demo-arch-chip{background:rgba(255,255,255,.06);border-color:rgba(255,255,255,.12);color:#fafafa}.dl-demo-arch-zapier-badge{font-size:.8125rem;font-weight:600;color:#09090b;letter-spacing:-.01em}.dl-demo-arch-zapier-plus{font-size:.8125rem;font-weight:600;color:#e06c2c}.dark .dl-demo-arch-chip--muted{background:0 0;border-color:rgba(255,255,255,.15);color:var(--muted-foreground, #a1a1aa)}.dark .dl-demo-arch-merge::before,.dark .dl-demo-arch-zapier{border-color:rgba(255,255,255,.1)}.dark .dl-demo-arch-merge::after{background:rgba(255,255,255,.1)}.dark .dl-demo-arch-zapier{background:rgba(255,255,255,.04)}.dark .dl-demo-arch-zapier-badge{color:#fafafa}.dl-demo-more{display:inline-flex;align-items:center;justify-content:center;width:36px;height:36px;border-radius:8px;border:1px dashed rgba(9,9,11,.22);font-size:.9375rem;font-weight:500;line-height:1;color:var(--muted-foreground, #52525b);flex:none}.dark .dl-demo-more{border-color:rgba(255,255,255,.2);color:var(--muted-foreground, #a1a1aa)}.dl-demo-body{display:flex;flex-direction:column;gap:.375rem;padding:.5625rem .75rem .625rem}.dl-demo-prompt,.dl-demo-row{padding:.4375rem .625rem;border:1px solid rgba(9,9,11,.1);border-radius:7px}.dl-demo-prompt{font-size:.75rem;color:var(--muted-foreground, #52525b)}.dl-demo-row{display:flex;align-items:center;justify-content:space-between;gap:1rem}.dark .dl-demo-prompt,.dark .dl-demo-row{border-color:rgba(255,255,255,.12)}.dl-demo-status{font-size:.6875rem;font-weight:700;letter-spacing:.12em;text-transform:uppercase;color:#ff4f00}.dl-demo-action{display:flex;align-items:center;justify-content:space-between;gap:.75rem;padding:.375rem .625rem;border-left:2px solid #ff4f00;border-radius:0 7px 7px 0;background:rgba(9,9,11,.03)}.dark .dl-demo-action{background:rgba(255,255,255,.04)}.dl-demo-action span,.dl-demo-foot{font-size:.75rem;color:var(--muted-foreground, #52525b)}.dl-demo-action span{text-align:right}.dl-demo-foot{display:flex;align-items:center;justify-content:space-between;gap:1rem;padding-top:.25rem}.dl-hero-demo code{font-family:ui-monospace,SFMono-Regular,Menlo,Consolas,monospace;font-size:.75rem;background:0 0;border:0;padding:0;color:var(--foreground, #18181b)}.dl-section{max-width:1180px;margin:0 auto;padding:clamp(1.5rem,3vw,2.25rem) clamp(1.25rem,4vw,2rem)}.dl-eyebrow{font-size:.6875rem;font-weight:700;letter-spacing:.12em;text-transform:uppercase;color:#ff4f00;margin:0 0 .4375rem}.dl-heading{font-size:clamp(1.375rem,2.4vw,1.75rem);line-height:1.2;font-weight:600;letter-spacing:-.01em!important;color:var(--foreground, #18181b);margin:0 0 .5rem;max-width:40ch}.dark .dl-heading{color:var(--foreground, #fafafa)}.dl-lead{font-size:.9375rem;line-height:1.55;color:var(--muted-foreground, #52525b);margin:0 0 1.25rem;max-width:68ch}.dark .dl-lead{color:var(--muted-foreground, #a1a1aa)}.dl-grid{display:grid;gap:.75rem;align-items:stretch}.dl-grid--2{grid-template-columns:repeat(2,minmax(0,1fr))}.dl-grid--3{grid-template-columns:repeat(3,minmax(0,1fr))}.dl-grid--4{grid-template-columns:repeat(4,minmax(0,1fr))}.dl-card{display:flex;flex-direction:column;gap:.5rem;padding:1.125rem 1.25rem 1.25rem;border:1px solid rgba(9,9,11,.1);background:#f8f4f0}.dark .dl-card{border-color:rgba(255,255,255,.12);background:rgba(255,255,255,.02)}.dl-card-mark{align-self:flex-start;margin-bottom:.25rem;color:#ff4f00}.dl-card-eyebrow{font-size:.6875rem;font-weight:700;letter-spacing:.12em;text-transform:uppercase;color:#ff4f00;margin:0}.dl-card-title{font-family:\"Serrif\",ui-serif,serif;font-size:1.5rem;font-weight:300;line-height:1.1;letter-spacing:-.03em;color:var(--foreground, #18181b);margin:0}.dark .dl-card-title{color:var(--foreground, #fafafa)}.dl-card-desc{font-family:\"Inter\",ui-sans-serif,system-ui,sans-serif;font-size:.9375rem;line-height:1.55;color:var(--muted-foreground, #52525b);margin:0}.dark .dl-card-desc,.dark .dl-pill{color:var(--muted-foreground, #a1a1aa)}.dl-pills{display:flex;flex-wrap:wrap;gap:.375rem;margin:.125rem 0 0}.dl-pill{font-size:.75rem;line-height:1;padding:.375rem .625rem;border-radius:999px;border:1px solid rgba(9,9,11,.14);color:var(--muted-foreground, #52525b);white-space:nowrap}.dark .dl-pill{border-color:rgba(255,255,255,.16)}.dl-pill>a{color:inherit!important;text-decoration:none!important}.dl-pill:has(>a):hover{border-color:rgba(9,9,11,.34)}.dark .dl-pill:has(>a):hover{border-color:rgba(255,255,255,.34)}.dl-pill--accent{border-color:rgba(255,79,0,.35);background:rgba(255,79,0,.06);color:#ff4f00}.dark .dl-pill--accent{border-color:rgba(255,79,0,.45);color:#ff8a5c}.dl-code{font-family:ui-monospace,SFMono-Regular,Menlo,Consolas,monospace;font-size:.8125rem;line-height:1.7;background:rgba(9,9,11,.04);border-radius:8px;padding:.75rem .875rem;margin:.125rem 0;overflow-x:auto;color:var(--foreground, #18181b)}.dl-code span{display:block;white-space:pre}.dl-code--shell span::before{content:\"\\276F \";color:#ff4f00}.dark .dl-code{background:rgba(255,255,255,.05);color:var(--foreground, #fafafa)}.dl-cta{margin-top:auto;padding-top:.5rem;font-size:.875rem;font-weight:600;color:#ff4f00!important;text-decoration:none!important}.dl-cta:hover{text-decoration:underline!important}@media screen and (max-width:1024px){.dl-grid--3,.dl-grid--4{grid-template-columns:repeat(2,minmax(0,1fr))}}@media screen and (max-width:640px){.dl-grid--2,.dl-grid--3,.dl-grid--4{grid-template-columns:1fr}}.docs-landing-next{max-width:1180px;margin:0 auto;padding:clamp(1.5rem,3vw,2.25rem) clamp(1.25rem,4vw,2rem) clamp(2.25rem,4vw,3.25rem)}.docs-landing-next-title{font-size:2rem;line-height:1.2;font-weight:600;letter-spacing:-.01em!important;color:var(--foreground, #18181b);margin:0 0 1.25rem}.dark .docs-landing-next-title{color:var(--foreground, #fafafa)}.docs-landing-next-grid{display:grid;grid-template-columns:repeat(4,minmax(0,1fr));column-gap:clamp(1.5rem,4vw,3rem)}.docs-landing-next-item{position:relative;display:block;padding:.875rem 0 1.25rem;border-top:1px solid rgba(9,9,11,.12);text-decoration:none!important;transition:border-top-color .2s ease}.docs-landing-next-item:hover{border-top-color:#ff4f00}.dark .docs-landing-next-item{border-top-color:rgba(255,255,255,.14)}.docs-landing-next-item-title{display:block;font-size:1rem;font-weight:600;color:var(--foreground, #18181b);margin-bottom:.25rem}.docs-landing-next-item-title::after{content:\" \\2192\";color:#ff4f00}.dark .docs-landing-next-item-title{color:var(--foreground, #fafafa)}.docs-landing-next-item:hover .docs-landing-next-item-title{text-decoration:underline}.docs-landing-next-item-desc{display:block;font-size:.9375rem;line-height:1.55;color:var(--muted-foreground, #52525b)}.dark .docs-landing-next-item-desc{color:var(--muted-foreground, #a1a1aa)}@media screen and (max-width:768px){.docs-landing-next-grid{grid-template-columns:1fr}}.hero-container{display:flex;flex-direction:row;align-items:center;justify-content:center;text-align:left;padding:6rem 2rem;width:80%;border-bottom:2px solid #ff4f00;margin:0 auto}.hero-text{width:600px;margin-right:2rem}@media screen and (max-width:1024px){.docs-landing-hero{grid-template-columns:1fr}.docs-landing-media{max-width:640px;margin:0 auto}}@media screen and (max-width:1300px){.hero-container{flex-direction:column;text-align:center}.hero-text{margin-right:0;margin-bottom:2rem}.hero-video{max-width:600px}}.dl-section-heading{font-size:2rem;line-height:1.2;font-weight:600;letter-spacing:-.01em!important;color:var(--foreground, #18181b);margin:0 0 1.25rem}.dark .dl-section-heading{color:var(--foreground, #fafafa)}.dl-bands{display:grid;grid-template-columns:repeat(2,minmax(0,1fr));gap:.75rem}.dl-band,.dl-band-main{display:flex;flex-direction:column}.dl-band{border:1px solid rgba(9,9,11,.1);overflow:hidden;background:#f8f4f0}.dark .dl-band{border-color:rgba(255,255,255,.12);background:rgba(255,255,255,.02)}.dl-band-main{gap:.5rem;padding:1.125rem 1.25rem 1.25rem;border-bottom:1px solid rgba(9,9,11,.1)}.dark .dl-band-main{background:rgba(255,255,255,.02);border-bottom-color:rgba(255,255,255,.12)}.dl-band-badge{align-self:flex-start;margin:0;padding:.1875rem .4375rem;border:1px solid rgba(255,79,0,.4);border-radius:5px;font-size:.625rem;font-weight:700;letter-spacing:.12em;text-transform:uppercase;color:#ff4f00}.dl-band-title{font-family:\"Serrif\",ui-serif,serif;font-size:1.5rem;font-weight:300!important;line-height:1.1;letter-spacing:-.03em!important;color:var(--foreground, #18181b);margin:.125rem 0 0!important}.dark .dl-band-title{color:var(--foreground, #fafafa)}.dl-band-icon,.dl-band-title-mark{align-self:flex-start;margin-bottom:16px;color:#ff4f00}.dl-band-icon{margin-bottom:8px}.dl-band-desc{font-family:\"Inter\",ui-sans-serif,system-ui,sans-serif;font-size:.9375rem;line-height:1.55;color:var(--muted-foreground, #52525b);margin:0;max-width:none}.dark .dl-band-desc{color:var(--muted-foreground, #a1a1aa)}.dl-band-main .dl-hero-demo{box-shadow:none;margin-top:.375rem}.dl-band-media{display:block;width:100%;height:auto;border:1px solid rgba(9,9,11,.1);border-radius:10px;margin:.375rem 0 0!important}.dark .dl-band-media{border-color:rgba(255,255,255,.12)}.dl-band-list{display:flex;flex:1;flex-direction:column}.dl-band-row{position:relative;display:grid;grid-template-columns:28px 1fr;grid-template-rows:auto auto;column-gap:.625rem;row-gap:.1875rem;align-items:center;flex:1;padding:.8125rem 2.25rem .8125rem 1.25rem;border-bottom:1px solid rgba(9,9,11,.08);text-decoration:none!important;transition:background .15s ease}.dl-band-row .dl-band-row-icon{grid-row:1/-1;align-self:center}.dl-band-row .dl-band-row-desc,.dl-band-row .dl-band-row-title{grid-column:2}.dl-band-row:not(:has(.dl-band-row-icon)){grid-template-columns:1fr}.dl-band-row:not(:has(.dl-band-row-icon)) .dl-band-row-desc,.dl-band-row:not(:has(.dl-band-row-icon)) .dl-band-row-title{grid-column:1}.dark .dl-band-row{border-bottom-color:rgba(255,255,255,.1)}.dl-band-row:last-child{border-bottom:none}.dl-band-row:hover{background:rgba(255,79,0,.04)}.dl-band-row::after{content:\"\\2192\";position:absolute;top:50%;right:1rem;transform:translateY(-50%);font-size:1rem;color:#ff4f00;transition:transform .15s ease}.dl-band-row:hover::after{transform:translateY(-50%) translateX(2px)}.dl-band-row>a,.docs-landing-next-item>a{position:absolute;inset:0;z-index:1}.dl-band-row>a:focus-visible,.docs-landing-next-item>a:focus-visible{outline:2px solid #ff4f00;outline-offset:-2px}.dl-band-row-icon{display:flex;align-items:center;justify-content:center;flex-shrink:0;width:28px;height:28px;color:#ff4f00}.dark .dl-band-row-icon{color:#ff8a5c}.dl-band-row-icon svg{width:16px;height:16px}.dl-band-row-title{font-size:.9375rem;font-weight:600;color:var(--foreground, #18181b)}.dark .dl-band-row-title{color:var(--foreground, #fafafa)}.dl-band-row:hover .dl-band-row-title{text-decoration:underline}.dl-band-row-desc{font-size:.875rem;line-height:1.5;color:var(--muted-foreground, #52525b)}.dark .dl-band-row-desc{color:var(--muted-foreground, #a1a1aa)}@media screen and (max-width:900px){.dl-bands{grid-template-columns:1fr}}"}],"page":{"pagePath":"api-reference/actions/stored-actions/run-a-stored-action","slug":"/api-reference/actions/stored-actions/run-a-stored-action","pageMetadata":{"title":"Run a stored action","description":"Execute Stored Action\n\nExecutes an action on behalf of a user, this is an async process.\n\nRequires the id from a stored action\n\nResponds with the unique id for this run of the stored action. In order to fetch results\nyou will need to poll the GET /stored-actions/{stored_action_id}/runs/{run_id} endpoint\nwith that run id.\n\n**Billing**\n\nThe Actions API offers support for directly billing users for Stored Action\nRuns, and this functionality is currently _opt-in_. To do this, you\nmust provide a `billing` claim on the JWT used to authenticate. This\nclaim must be a JSON string, and any values provided will override the\ndefault configuration shown below. The simplest approach is therefore\nto set `is_billable` to true, and successful Stored Action Runs will be\ncharged to a user at a rate of one task.\n\n```json\nbilling: {\n \"is_billable\": false,\n \"origin\": \"actions_api\",\n \"usage_type\": \"action_run\",\n \"description\": \"an action was run via Actions API\",\n \"exemption_reason\": null,\n \"exemption_details\": null\n}\n```\n\n**Rate Limits**\n\nRate limiting is applied when Gargoyle flag `edge_actions_api_rate_limiting_global`\nis active. Requests are rate limited by default unless the JWT explicitly sets\n`rate_limit.exempt` to true.\n\n```json\nrate_limit: {\n \"exempt\": true\n}\n```\n\nNon-exempted requests are limited to 200 per 5 minutes by default. To set a custom\nlimit, include `limit_override` (1–1000 requests per 5 minutes):\n\n```json\nrate_limit: {\n \"exempt\": false,\n \"limit_override\": 500\n}\n```","deprecated":null,"version":null,"openapi":"/api-reference/specs/actions.yaml post /actions/v1/stored-actions/{stored_action_id}/run","href":"/api-reference/actions/stored-actions/run-a-stored-action","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n em: \"em\",\n p: \"p\",\n pre: \"pre\",\n span: \"span\",\n strong: \"strong\",\n ..._provideComponents(),\n ...props.components\n }, {CodeBlock} = _components;\n if (!CodeBlock) _missingMdxReference(\"CodeBlock\", true);\n return _jsxs(_Fragment, {\n children: [_jsx(_components.p, {\n children: \"Execute Stored Action\"\n }), \"\\n\", _jsx(_components.p, {\n children: \"Executes an action on behalf of a user, this is an async process.\"\n }), \"\\n\", _jsx(_components.p, {\n children: \"Requires the id from a stored action\"\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"Responds with the unique id for this run of the stored action. In order to fetch results\\nyou will need to poll the GET /stored-actions/\", \"/runs/\", \" endpoint\\nwith that run id.\"]\n }), \"\\n\", _jsx(_components.p, {\n children: _jsx(_components.strong, {\n children: \"Billing\"\n })\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"The Actions API offers support for directly billing users for Stored Action\\nRuns, and this functionality is currently \", _jsx(_components.em, {\n children: \"opt-in\"\n }), \". To do this, you\\nmust provide a \", _jsx(_components.code, {\n children: \"billing\"\n }), \" claim on the JWT used to authenticate. This\\nclaim must be a JSON string, and any values provided will override the\\ndefault configuration shown below. The simplest approach is therefore\\nto set \", _jsx(_components.code, {\n children: \"is_billable\"\n }), \" to true, and successful Stored Action Runs will be\\ncharged to a user at a rate of one task.\"]\n }), \"\\n\", _jsx(CodeBlock, {\n numberOfLines: \"8\",\n language: \"json\",\n children: _jsx(_components.pre, {\n className: \"shiki shiki-themes github-light-default dark-plus\",\n style: {\n backgroundColor: \"#ffffff\",\n \"--shiki-dark-bg\": \"#0B0C0E\",\n color: \"#1f2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n language: \"json\",\n children: _jsxs(_components.code, {\n language: \"json\",\n numberOfLines: \"8\",\n children: [_jsx(_components.span, {\n className: \"line\",\n children: _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \"billing: {\"\n })\n }), \"\\n\", _jsxs(_components.span, {\n className: \"line\",\n children: [_jsx(_components.span, {\n style: {\n color: \"#116329\",\n \"--shiki-dark\": \"#9CDCFE\"\n },\n children: \" \\\"is_billable\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \": \"\n }), _jsx(_components.span, {\n style: {\n color: \"#0550AE\",\n \"--shiki-dark\": \"#569CD6\"\n },\n children: \"false\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \",\"\n })]\n }), \"\\n\", _jsxs(_components.span, {\n className: \"line\",\n children: [_jsx(_components.span, {\n style: {\n color: \"#116329\",\n \"--shiki-dark\": \"#9CDCFE\"\n },\n children: \" \\\"origin\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \": \"\n }), _jsx(_components.span, {\n style: {\n color: \"#0A3069\",\n \"--shiki-dark\": \"#CE9178\"\n },\n children: \"\\\"actions_api\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \",\"\n })]\n }), \"\\n\", _jsxs(_components.span, {\n className: \"line\",\n children: [_jsx(_components.span, {\n style: {\n color: \"#116329\",\n \"--shiki-dark\": \"#9CDCFE\"\n },\n children: \" \\\"usage_type\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \": \"\n }), _jsx(_components.span, {\n style: {\n color: \"#0A3069\",\n \"--shiki-dark\": \"#CE9178\"\n },\n children: \"\\\"action_run\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \",\"\n })]\n }), \"\\n\", _jsxs(_components.span, {\n className: \"line\",\n children: [_jsx(_components.span, {\n style: {\n color: \"#116329\",\n \"--shiki-dark\": \"#9CDCFE\"\n },\n children: \" \\\"description\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \": \"\n }), _jsx(_components.span, {\n style: {\n color: \"#0A3069\",\n \"--shiki-dark\": \"#CE9178\"\n },\n children: \"\\\"an action was run via Actions API\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \",\"\n })]\n }), \"\\n\", _jsxs(_components.span, {\n className: \"line\",\n children: [_jsx(_components.span, {\n style: {\n color: \"#116329\",\n \"--shiki-dark\": \"#9CDCFE\"\n },\n children: \" \\\"exemption_reason\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \": \"\n }), _jsx(_components.span, {\n style: {\n color: \"#0550AE\",\n \"--shiki-dark\": \"#569CD6\"\n },\n children: \"null\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \",\"\n })]\n }), \"\\n\", _jsxs(_components.span, {\n className: \"line\",\n children: [_jsx(_components.span, {\n style: {\n color: \"#116329\",\n \"--shiki-dark\": \"#9CDCFE\"\n },\n children: \" \\\"exemption_details\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \": \"\n }), _jsx(_components.span, {\n style: {\n color: \"#0550AE\",\n \"--shiki-dark\": \"#569CD6\"\n },\n children: \"null\"\n })]\n }), \"\\n\", _jsx(_components.span, {\n className: \"line\",\n children: _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \"}\"\n })\n }), \"\\n\"]\n })\n })\n }), \"\\n\", _jsx(_components.p, {\n children: _jsx(_components.strong, {\n children: \"Rate Limits\"\n })\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"Rate limiting is applied when Gargoyle flag \", _jsx(_components.code, {\n children: \"edge_actions_api_rate_limiting_global\"\n }), \"\\nis active. Requests are rate limited by default unless the JWT explicitly sets\\n\", _jsx(_components.code, {\n children: \"rate_limit.exempt\"\n }), \" to true.\"]\n }), \"\\n\", _jsx(CodeBlock, {\n numberOfLines: \"3\",\n language: \"json\",\n children: _jsx(_components.pre, {\n className: \"shiki shiki-themes github-light-default dark-plus\",\n style: {\n backgroundColor: \"#ffffff\",\n \"--shiki-dark-bg\": \"#0B0C0E\",\n color: \"#1f2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n language: \"json\",\n children: _jsxs(_components.code, {\n language: \"json\",\n numberOfLines: \"3\",\n children: [_jsx(_components.span, {\n className: \"line\",\n children: _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \"rate_limit: {\"\n })\n }), \"\\n\", _jsxs(_components.span, {\n className: \"line\",\n children: [_jsx(_components.span, {\n style: {\n color: \"#116329\",\n \"--shiki-dark\": \"#9CDCFE\"\n },\n children: \" \\\"exempt\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \": \"\n }), _jsx(_components.span, {\n style: {\n color: \"#0550AE\",\n \"--shiki-dark\": \"#569CD6\"\n },\n children: \"true\"\n })]\n }), \"\\n\", _jsx(_components.span, {\n className: \"line\",\n children: _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \"}\"\n })\n }), \"\\n\"]\n })\n })\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"Non-exempted requests are limited to 200 per 5 minutes by default. To set a custom\\nlimit, include \", _jsx(_components.code, {\n children: \"limit_override\"\n }), \" (1–1000 requests per 5 minutes):\"]\n }), \"\\n\", _jsx(CodeBlock, {\n numberOfLines: \"4\",\n language: \"json\",\n children: _jsx(_components.pre, {\n className: \"shiki shiki-themes github-light-default dark-plus\",\n style: {\n backgroundColor: \"#ffffff\",\n \"--shiki-dark-bg\": \"#0B0C0E\",\n color: \"#1f2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n language: \"json\",\n children: _jsxs(_components.code, {\n language: \"json\",\n numberOfLines: \"4\",\n children: [_jsx(_components.span, {\n className: \"line\",\n children: _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \"rate_limit: {\"\n })\n }), \"\\n\", _jsxs(_components.span, {\n className: \"line\",\n children: [_jsx(_components.span, {\n style: {\n color: \"#116329\",\n \"--shiki-dark\": \"#9CDCFE\"\n },\n children: \" \\\"exempt\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \": \"\n }), _jsx(_components.span, {\n style: {\n color: \"#0550AE\",\n \"--shiki-dark\": \"#569CD6\"\n },\n children: \"false\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \",\"\n })]\n }), \"\\n\", _jsxs(_components.span, {\n className: \"line\",\n children: [_jsx(_components.span, {\n style: {\n color: \"#116329\",\n \"--shiki-dark\": \"#9CDCFE\"\n },\n children: \" \\\"limit_override\\\"\"\n }), _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \": \"\n }), _jsx(_components.span, {\n style: {\n color: \"#0550AE\",\n \"--shiki-dark\": \"#B5CEA8\"\n },\n children: \"500\"\n })]\n }), \"\\n\", _jsx(_components.span, {\n className: \"line\",\n children: _jsx(_components.span, {\n style: {\n color: \"#1F2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n children: \"}\"\n })\n }), \"\\n\"]\n })\n })\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\nfunction _missingMdxReference(id, component) {\n throw new Error(\"Expected \" + (component ? \"component\" : \"object\") + \" `\" + id + \"` to be defined: you likely forgot to import, pass, or provide it.\");\n}\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Run a stored action","description":"Execute Stored Action\n\nExecutes an action on behalf of a user, this is an async process.\n\nRequires the id from a stored action\n\nResponds with the unique id for this run of the stored action. In order to fetch results\nyou will need to poll the GET /stored-actions/{stored_action_id}/runs/{run_id} endpoint\nwith that run id.\n\n**Billing**\n\nThe Actions API offers support for directly billing users for Stored Action\nRuns, and this functionality is currently _opt-in_. To do this, you\nmust provide a `billing` claim on the JWT used to authenticate. This\nclaim must be a JSON string, and any values provided will override the\ndefault configuration shown below. The simplest approach is therefore\nto set `is_billable` to true, and successful Stored Action Runs will be\ncharged to a user at a rate of one task.\n\n```json\nbilling: {\n \"is_billable\": false,\n \"origin\": \"actions_api\",\n \"usage_type\": \"action_run\",\n \"description\": \"an action was run via Actions API\",\n \"exemption_reason\": null,\n \"exemption_details\": null\n}\n```\n\n**Rate Limits**\n\nRate limiting is applied when Gargoyle flag `edge_actions_api_rate_limiting_global`\nis active. Requests are rate limited by default unless the JWT explicitly sets\n`rate_limit.exempt` to true.\n\n```json\nrate_limit: {\n \"exempt\": true\n}\n```\n\nNon-exempted requests are limited to 200 per 5 minutes by default. To set a custom\nlimit, include `limit_override` (1–1000 requests per 5 minutes):\n\n```json\nrate_limit: {\n \"exempt\": false,\n \"limit_override\": 500\n}\n```","deprecated":null,"version":null,"openapi":"/api-reference/specs/actions.yaml post /actions/v1/stored-actions/{stored_action_id}/run","href":"/api-reference/actions/stored-actions/run-a-stored-action","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/zapier-82f0e938/f426fe1f80e04ec5/content/welcome.js","/_mintlify/custom/zapier-82f0e938/8e22ee5176c0f2d3/content/page-view.js","/_mintlify/custom/zapier-82f0e938/ba23268896a334a3/content/events-core.js","/_mintlify/custom/zapier-82f0e938/a4a4aa1a440a45f6/content/webmcp.js","/_mintlify/custom/zapier-82f0e938/00b5c2b78afe2715/logo-nav.js","/_mintlify/custom/zapier-82f0e938/4312bb950916a05a/universal-footer.js"],"openApiReferenceData":{"operation":{"operationId":"createStoredActionRun","description":"Execute Stored Action\n\nExecutes an action on behalf of a user, this is an async process.\n\nRequires the id from a stored action\n\nResponds with the unique id for this run of the stored action. In order to fetch results\nyou will need to poll the GET /stored-actions/{stored_action_id}/runs/{run_id} endpoint\nwith that run id.\n\n**Billing**\n\nThe Actions API offers support for directly billing users for Stored Action\nRuns, and this functionality is currently _opt-in_. To do this, you\nmust provide a `billing` claim on the JWT used to authenticate. This\nclaim must be a JSON string, and any values provided will override the\ndefault configuration shown below. The simplest approach is therefore\nto set `is_billable` to true, and successful Stored Action Runs will be\ncharged to a user at a rate of one task.\n\n```json\nbilling: {\n \"is_billable\": false,\n \"origin\": \"actions_api\",\n \"usage_type\": \"action_run\",\n \"description\": \"an action was run via Actions API\",\n \"exemption_reason\": null,\n \"exemption_details\": null\n}\n```\n\n**Rate Limits**\n\nRate limiting is applied when Gargoyle flag `edge_actions_api_rate_limiting_global`\nis active. Requests are rate limited by default unless the JWT explicitly sets\n`rate_limit.exempt` to true.\n\n```json\nrate_limit: {\n \"exempt\": true\n}\n```\n\nNon-exempted requests are limited to 200 per 5 minutes by default. To set a custom\nlimit, include `limit_override` (1–1000 requests per 5 minutes):\n\n```json\nrate_limit: {\n \"exempt\": false,\n \"limit_override\": 500\n}\n```","summary":"Run a stored action","parameters":["32ec3b09-ecfb-497e-b27a-549766f7949f"],"tags":["Stored Actions"],"requestBody":"94e49542-869c-4f1d-af5b-28dc3d3b9d4b","security":["f5948125-d391-44cf-8912-fece347d523b"],"responses":{"202":"73b4b499-64ce-4115-bea4-e678b1913567","400":"382893cd-30c5-4ffa-b536-f26fb6ccb64e","402":"b361c43c-a8be-4e52-9f15-d6953f31de1f","403":"25069fbd-7d12-4f07-b7cb-0d30eabaa323","424":"a186d101-9512-4e6a-87f9-ccd74bbe2946","429":"c691feb1-164f-449f-9267-5163b436228a","500":"b9bf7857-dc9c-4e81-840a-c2e2d42d048f","503":"77f77455-3052-4976-9cbf-a96b85b5c066"},"method":"post","type":"path","servers":["52142737-7f4c-4410-bc6e-f5cd38ad756c"],"path":"/actions/v1/stored-actions/{stored_action_id}/run","baseUrlOptions":["https://api.zapier.com"],"title":"Run a stored action","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"32ec3b09-ecfb-497e-b27a-549766f7949f":{"in":"path","name":"stored_action_id","schema":{"type":"string","format":"uuid","isRequired":true,"uniqueKey":"","typeLabel":"string\u003cuuid>"},"required":true}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","description":"The shape of a request payload accepted when running a stored action.","properties":{"callback_url":{"type":"string","format":"uri","description":"An optional URL that Zapier will POST the results to when the action completes. The POST body will match the same format as the GET /stored-actions/{stored_action_id}/runs/{run_id} response.","maxLength":2048,"uniqueKey":"data.callback_url","typeLabel":"string\u003curi>"},"idempotency_id":{"type":"string","format":"uuid","x-zapier-idempotency-exempt":true,"description":"A client-provided UUID that identifies this specific request. If the same idempotency_id is used within 72 hours, the second request will be ignored and the original response returned.","uniqueKey":"data.idempotency_id","typeLabel":"string\u003cuuid>"},"inputs":{"default":{},"description":"Object that matches the input the action would normally get. Has all the same keys/types as the `input` of the action. (Formerly known as \"needs\" in some documentation) Specifically includes more \"dynamic\" information to execute such as a specific message when triggering an action that sends a Slack DM, for example.","uniqueKey":"data.inputs","typeLabel":"any"},"page":{"type":"string","description":"When using bulk read action types, this denotes the state of the paging utilities. Pass it back into the stored-actions endpoint. ","uniqueKey":"data.page","typeLabel":"string"}},"isRequired":true,"uniqueKey":"data","typeLabel":"object"}},"required":["data"],"uniqueKey":"","typeLabel":"object"},"examples":{"ExamplePOSTRequest":{"title":"ExamplePOSTRequest","value":{"data":{"inputs":{"message":"Hello World!"},"page":"0"}}}},"exampleType":"examples"}},"required":true,"exampleType":"examples"},"responses":{"73b4b499-64ce-4115-bea4-e678b1913567":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","description":"The data returned after running a stored action","properties":{"type":{"type":"string","default":"run","description":"Specifies the resource type, as required by the JSON:API specification.","uniqueKey":"data.type","typeLabel":"string"},"id":{"type":"string","format":"uuid","description":"The UUID id that identifies this run of the execution and can be used to retrieve the results by polling the GET /stored-actions/{stored_action_id}/runs/{run_id} endpoint.","uniqueKey":"data.id","typeLabel":"string\u003cuuid>"}},"isRequired":true,"uniqueKey":"data","typeLabel":"object"}},"required":["data"],"uniqueKey":"","typeLabel":"object"},"examples":{"Accepted":{"title":"Accepted","value":{"data":{"type":"run","id":"123e4567-e89b-12d3-a456-426614174000"}}}},"exampleType":"examples"}},"description":"Acknowledges the request to execute a StoredAction","headers":{"X-RateLimit-Limit":{"schema":{"type":"integer"},"description":"Effective request cap per 300-second window. Default: 200. Maximum via limit_override: 1000."},"X-RateLimit-Remaining":{"schema":{"type":"integer"},"description":"Requests remaining in the current window."},"X-RateLimit-Reset":{"schema":{"type":"string","format":"date-time"},"description":"Unix timestamp when the current 300-second window resets."}},"exampleType":"examples"},"382893cd-30c5-4ffa-b536-f26fb6ccb64e":{"content":{"application/json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","description":"Base Error definition","properties":{"status":{"type":"integer","description":"The HTTP status code applicable to this problem.","uniqueKey":"errors.items.[INDEX].status","typeLabel":"integer"},"code":{"type":"string","description":"A unique identifier for this particular occurrence of the problem.","uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"title":{"type":"string","description":"A short summary of the problem.","uniqueKey":"errors.items.[INDEX].title","typeLabel":"string"},"detail":{"type":"string","description":"A human-readable explanation specific to this occurrence of the problem.","uniqueKey":"errors.items.[INDEX].detail","typeLabel":"string"},"source":{"oneOf":[{"type":"object","description":"An object containing references to the primary source of the error.","properties":{"pointer":{"type":"string","description":"Pointer to the value in the request document that caused the error e.g. `/actions`.","uniqueKey":"errors.items.[INDEX].source.oneOf.0.pointer","typeLabel":"string"},"parameter":{"type":"string","description":"A string indicating which URI query parameter caused the error.","uniqueKey":"errors.items.[INDEX].source.oneOf.0.parameter","typeLabel":"string"},"header":{"type":"string","description":"A string indicating the name of a single request header which caused the error.","uniqueKey":"errors.items.[INDEX].source.oneOf.0.header","typeLabel":"string"}},"uniqueKey":"errors.items.[INDEX].source.oneOf.0","typeLabel":"object"},{"type":"null","description":"An object containing references to the primary source of the error.","uniqueKey":"errors.items.[INDEX].source.oneOf.1","typeLabel":"null"}],"uniqueKey":"errors.items.[INDEX].source","typeLabel":"object | null"},"meta":{"oneOf":[{"type":"object","additionalProperties":{"oneOf":[{}],"uniqueKey":"errors.items.[INDEX].meta.oneOf.0.additionalProperties","typeLabel":"any"},"description":"Any additional metadata about the error.","uniqueKey":"errors.items.[INDEX].meta.oneOf.0","typeLabel":"object"},{"type":"null","additionalProperties":{"oneOf":[{}],"uniqueKey":"errors.items.[INDEX].meta.oneOf.1.additionalProperties","typeLabel":"any"},"description":"Any additional metadata about the error.","uniqueKey":"errors.items.[INDEX].meta.oneOf.1","typeLabel":"null"}],"uniqueKey":"errors.items.[INDEX].meta","typeLabel":"object | null"}},"uniqueKey":"errors.items.[INDEX]","typeLabel":"object"},"description":"An array of error objects.","isRequired":true,"uniqueKey":"errors","typeLabel":"object[]"}},"required":["errors"],"uniqueKey":"","typeLabel":"object"},"examples":{"BadRequest":{"title":"BadRequest","value":{"errors":[{"status":400,"code":"bad_request","title":"Bad Request","detail":"Improperly formatted or incompleted request","source":null,"meta":{}}]}}},"exampleType":"examples"}},"description":"Indicates an error executing the request to run a StoredAction.","headers":{"X-RateLimit-Limit":{"schema":{"type":"integer"},"description":"Effective request cap per 300-second window. Default: 200. Maximum via limit_override: 1000."},"X-RateLimit-Remaining":{"schema":{"type":"integer"},"description":"Requests remaining in the current window."},"X-RateLimit-Reset":{"schema":{"type":"string","format":"date-time"},"description":"Unix timestamp when the current 300-second window resets."}},"exampleType":"examples"},"b361c43c-a8be-4e52-9f15-d6953f31de1f":{"content":{"application/json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","description":"Base Error definition","properties":{"status":{"type":"integer","description":"The HTTP status code applicable to this problem.","uniqueKey":"errors.items.[INDEX].status","typeLabel":"integer"},"code":{"type":"string","description":"A unique identifier for this particular occurrence of the problem.","uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"title":{"type":"string","description":"A short summary of the problem.","uniqueKey":"errors.items.[INDEX].title","typeLabel":"string"},"detail":{"type":"string","description":"A human-readable explanation specific to this occurrence of the problem.","uniqueKey":"errors.items.[INDEX].detail","typeLabel":"string"},"source":{"oneOf":[{"type":"object","description":"An object containing references to the primary source of the error.","properties":{"pointer":{"type":"string","description":"Pointer to the value in the request document that caused the error e.g. `/actions`.","uniqueKey":"errors.items.[INDEX].source.oneOf.0.pointer","typeLabel":"string"},"parameter":{"type":"string","description":"A string indicating which URI query parameter caused the error.","uniqueKey":"errors.items.[INDEX].source.oneOf.0.parameter","typeLabel":"string"},"header":{"type":"string","description":"A string indicating the name of a single request header which caused the error.","uniqueKey":"errors.items.[INDEX].source.oneOf.0.header","typeLabel":"string"}},"uniqueKey":"errors.items.[INDEX].source.oneOf.0","typeLabel":"object"},{"type":"null","description":"An object containing references to the primary source of the error.","uniqueKey":"errors.items.[INDEX].source.oneOf.1","typeLabel":"null"}],"uniqueKey":"errors.items.[INDEX].source","typeLabel":"object | null"},"meta":{"oneOf":[{"type":"object","additionalProperties":{"oneOf":[{}],"uniqueKey":"errors.items.[INDEX].meta.oneOf.0.additionalProperties","typeLabel":"any"},"description":"Any additional metadata about the error.","uniqueKey":"errors.items.[INDEX].meta.oneOf.0","typeLabel":"object"},{"type":"null","additionalProperties":{"oneOf":[{}],"uniqueKey":"errors.items.[INDEX].meta.oneOf.1.additionalProperties","typeLabel":"any"},"description":"Any additional metadata about the error.","uniqueKey":"errors.items.[INDEX].meta.oneOf.1","typeLabel":"null"}],"uniqueKey":"errors.items.[INDEX].meta","typeLabel":"object | null"}},"uniqueKey":"errors.items.[INDEX]","typeLabel":"object"},"description":"An array of error objects.","isRequired":true,"uniqueKey":"errors","typeLabel":"object[]"}},"required":["errors"],"uniqueKey":"","typeLabel":"object"},"examples":{"PaymentRequired":{"title":"PaymentRequired","value":{"errors":[{"status":402,"code":"payment_required","title":"Payment Required","detail":"Insufficient tasks on account"}]}}},"exampleType":"examples"}},"description":"Payment Required - insufficient tasks on account","headers":{"X-RateLimit-Limit":{"schema":{"type":"integer"},"description":"Effective request cap per 300-second window. Default: 200. Maximum via limit_override: 1000."},"X-RateLimit-Remaining":{"schema":{"type":"integer"},"description":"Requests remaining in the current window."},"X-RateLimit-Reset":{"schema":{"type":"string","format":"date-time"},"description":"Unix timestamp when the current 300-second window resets."}},"exampleType":"examples"},"25069fbd-7d12-4f07-b7cb-0d30eabaa323":{"content":{"application/json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","description":"Base Error definition","properties":{"status":{"type":"integer","description":"The HTTP status code applicable to this problem.","uniqueKey":"errors.items.[INDEX].status","typeLabel":"integer"},"code":{"type":"string","description":"A unique identifier for this particular occurrence of the problem.","uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"title":{"type":"string","description":"A short summary of the problem.","uniqueKey":"errors.items.[INDEX].title","typeLabel":"string"},"detail":{"type":"string","description":"A human-readable explanation specific to this occurrence of the problem.","uniqueKey":"errors.items.[INDEX].detail","typeLabel":"string"},"source":{"oneOf":[{"type":"object","description":"An object containing references to the primary source of the error.","properties":{"pointer":{"type":"string","description":"Pointer to the value in the request document that caused the error e.g. `/actions`.","uniqueKey":"errors.items.[INDEX].source.oneOf.0.pointer","typeLabel":"string"},"parameter":{"type":"string","description":"A string indicating which URI query parameter caused the error.","uniqueKey":"errors.items.[INDEX].source.oneOf.0.parameter","typeLabel":"string"},"header":{"type":"string","description":"A string indicating the name of a single request header which caused the error.","uniqueKey":"errors.items.[INDEX].source.oneOf.0.header","typeLabel":"string"}},"uniqueKey":"errors.items.[INDEX].source.oneOf.0","typeLabel":"object"},{"type":"null","description":"An object containing references to the primary source of the error.","uniqueKey":"errors.items.[INDEX].source.oneOf.1","typeLabel":"null"}],"uniqueKey":"errors.items.[INDEX].source","typeLabel":"object | null"},"meta":{"oneOf":[{"type":"object","additionalProperties":{"oneOf":[{}],"uniqueKey":"errors.items.[INDEX].meta.oneOf.0.additionalProperties","typeLabel":"any"},"description":"Any additional metadata about the error.","uniqueKey":"errors.items.[INDEX].meta.oneOf.0","typeLabel":"object"},{"type":"null","additionalProperties":{"oneOf":[{}],"uniqueKey":"errors.items.[INDEX].meta.oneOf.1.additionalProperties","typeLabel":"any"},"description":"Any additional metadata about the error.","uniqueKey":"errors.items.[INDEX].meta.oneOf.1","typeLabel":"null"}],"uniqueKey":"errors.items.[INDEX].meta","typeLabel":"object | null"}},"uniqueKey":"errors.items.[INDEX]","typeLabel":"object"},"description":"An array of error objects.","isRequired":true,"uniqueKey":"errors","typeLabel":"object[]"}},"required":["errors"],"uniqueKey":"","typeLabel":"object"},"examples":{"PermissionDenied":{"title":"PermissionDenied","value":{"errors":[{"status":403,"code":"permission_denied","detail":"User does not have enough permissions to perform action"}]}}},"exampleType":"examples"}},"description":"Permission denied. Unauthorized request.","exampleType":"examples"},"a186d101-9512-4e6a-87f9-ccd74bbe2946":{"content":{"application/json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","description":"Base Error definition","properties":{"status":{"type":"integer","description":"The HTTP status code applicable to this problem.","uniqueKey":"errors.items.[INDEX].status","typeLabel":"integer"},"code":{"type":"string","description":"A unique identifier for this particular occurrence of the problem.","uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"title":{"type":"string","description":"A short summary of the problem.","uniqueKey":"errors.items.[INDEX].title","typeLabel":"string"},"detail":{"type":"string","description":"A human-readable explanation specific to this occurrence of the problem.","uniqueKey":"errors.items.[INDEX].detail","typeLabel":"string"},"source":{"oneOf":[{"type":"object","description":"An object containing references to the primary source of the error.","properties":{"pointer":{"type":"string","description":"Pointer to the value in the request document that caused the error e.g. `/actions`.","uniqueKey":"errors.items.[INDEX].source.oneOf.0.pointer","typeLabel":"string"},"parameter":{"type":"string","description":"A string indicating which URI query parameter caused the error.","uniqueKey":"errors.items.[INDEX].source.oneOf.0.parameter","typeLabel":"string"},"header":{"type":"string","description":"A string indicating the name of a single request header which caused the error.","uniqueKey":"errors.items.[INDEX].source.oneOf.0.header","typeLabel":"string"}},"uniqueKey":"errors.items.[INDEX].source.oneOf.0","typeLabel":"object"},{"type":"null","description":"An object containing references to the primary source of the error.","uniqueKey":"errors.items.[INDEX].source.oneOf.1","typeLabel":"null"}],"uniqueKey":"errors.items.[INDEX].source","typeLabel":"object | null"},"meta":{"oneOf":[{"type":"object","additionalProperties":{"oneOf":[{}],"uniqueKey":"errors.items.[INDEX].meta.oneOf.0.additionalProperties","typeLabel":"any"},"description":"Any additional metadata about the error.","uniqueKey":"errors.items.[INDEX].meta.oneOf.0","typeLabel":"object"},{"type":"null","additionalProperties":{"oneOf":[{}],"uniqueKey":"errors.items.[INDEX].meta.oneOf.1.additionalProperties","typeLabel":"any"},"description":"Any additional metadata about the error.","uniqueKey":"errors.items.[INDEX].meta.oneOf.1","typeLabel":"null"}],"uniqueKey":"errors.items.[INDEX].meta","typeLabel":"object | null"}},"uniqueKey":"errors.items.[INDEX]","typeLabel":"object"},"description":"An array of error objects.","isRequired":true,"uniqueKey":"errors","typeLabel":"object[]"}},"required":["errors"],"uniqueKey":"","typeLabel":"object"},"examples":{"PartnerAPITemporarilyUnavailable":{"title":"PartnerAPITemporarilyUnavailable","value":{"errors":[{"status":424,"code":"partner_api_unhealthy","title":"Partner API Temporarily Unavailable","detail":"The app's API is currently unhealthy. Retry the request later."}]}}},"exampleType":"examples"}},"description":"Failed Dependency - the partner API is temporarily unhealthy","headers":{"X-RateLimit-Limit":{"schema":{"type":"integer"},"description":"Effective request cap per 300-second window. Default: 200. Maximum via limit_override: 1000."},"X-RateLimit-Remaining":{"schema":{"type":"integer"},"description":"Requests remaining in the current window."},"X-RateLimit-Reset":{"schema":{"type":"string","format":"date-time"},"description":"Unix timestamp when the current 300-second window resets."}},"exampleType":"examples"},"c691feb1-164f-449f-9267-5163b436228a":{"content":{"application/json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","description":"Base Error definition","properties":{"status":{"type":"integer","description":"The HTTP status code applicable to this problem.","uniqueKey":"errors.items.[INDEX].status","typeLabel":"integer"},"code":{"type":"string","description":"A unique identifier for this particular occurrence of the problem.","uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"title":{"type":"string","description":"A short summary of the problem.","uniqueKey":"errors.items.[INDEX].title","typeLabel":"string"},"detail":{"type":"string","description":"A human-readable explanation specific to this occurrence of the problem.","uniqueKey":"errors.items.[INDEX].detail","typeLabel":"string"},"source":{"oneOf":[{"type":"object","description":"An object containing references to the primary source of the error.","properties":{"pointer":{"type":"string","description":"Pointer to the value in the request document that caused the error e.g. `/actions`.","uniqueKey":"errors.items.[INDEX].source.oneOf.0.pointer","typeLabel":"string"},"parameter":{"type":"string","description":"A string indicating which URI query parameter caused the error.","uniqueKey":"errors.items.[INDEX].source.oneOf.0.parameter","typeLabel":"string"},"header":{"type":"string","description":"A string indicating the name of a single request header which caused the error.","uniqueKey":"errors.items.[INDEX].source.oneOf.0.header","typeLabel":"string"}},"uniqueKey":"errors.items.[INDEX].source.oneOf.0","typeLabel":"object"},{"type":"null","description":"An object containing references to the primary source of the error.","uniqueKey":"errors.items.[INDEX].source.oneOf.1","typeLabel":"null"}],"uniqueKey":"errors.items.[INDEX].source","typeLabel":"object | null"},"meta":{"oneOf":[{"type":"object","additionalProperties":{"oneOf":[{}],"uniqueKey":"errors.items.[INDEX].meta.oneOf.0.additionalProperties","typeLabel":"any"},"description":"Any additional metadata about the error.","uniqueKey":"errors.items.[INDEX].meta.oneOf.0","typeLabel":"object"},{"type":"null","additionalProperties":{"oneOf":[{}],"uniqueKey":"errors.items.[INDEX].meta.oneOf.1.additionalProperties","typeLabel":"any"},"description":"Any additional metadata about the error.","uniqueKey":"errors.items.[INDEX].meta.oneOf.1","typeLabel":"null"}],"uniqueKey":"errors.items.[INDEX].meta","typeLabel":"object | null"}},"uniqueKey":"errors.items.[INDEX]","typeLabel":"object"},"description":"An array of error objects.","isRequired":true,"uniqueKey":"errors","typeLabel":"object[]"}},"required":["errors"],"uniqueKey":"","typeLabel":"object"},"examples":{"TooManyRequests":{"title":"TooManyRequests","value":{"errors":[{"status":429,"code":"too_many_requests","detail":"Rate limit exceeded. Too many requests."}]}}},"exampleType":"examples"}},"description":"Too many requests.","headers":{"X-RateLimit-Limit":{"schema":{"type":"integer"},"description":"Effective request cap per 300-second window. Default: 200. Maximum via limit_override: 1000."},"X-RateLimit-Remaining":{"schema":{"type":"integer"},"description":"Requests remaining in the current window."},"X-RateLimit-Reset":{"schema":{"type":"string","format":"date-time"},"description":"Unix timestamp when the current 300-second window resets."},"Retry-After":{"schema":{"type":"integer"},"description":"Seconds to wait before retrying.","required":true}},"exampleType":"examples"},"b9bf7857-dc9c-4e81-840a-c2e2d42d048f":{"content":{"application/json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","description":"Base Error definition","properties":{"status":{"type":"integer","description":"The HTTP status code applicable to this problem.","uniqueKey":"errors.items.[INDEX].status","typeLabel":"integer"},"code":{"type":"string","description":"A unique identifier for this particular occurrence of the problem.","uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"title":{"type":"string","description":"A short summary of the problem.","uniqueKey":"errors.items.[INDEX].title","typeLabel":"string"},"detail":{"type":"string","description":"A human-readable explanation specific to this occurrence of the problem.","uniqueKey":"errors.items.[INDEX].detail","typeLabel":"string"},"source":{"oneOf":[{"type":"object","description":"An object containing references to the primary source of the error.","properties":{"pointer":{"type":"string","description":"Pointer to the value in the request document that caused the error e.g. `/actions`.","uniqueKey":"errors.items.[INDEX].source.oneOf.0.pointer","typeLabel":"string"},"parameter":{"type":"string","description":"A string indicating which URI query parameter caused the error.","uniqueKey":"errors.items.[INDEX].source.oneOf.0.parameter","typeLabel":"string"},"header":{"type":"string","description":"A string indicating the name of a single request header which caused the error.","uniqueKey":"errors.items.[INDEX].source.oneOf.0.header","typeLabel":"string"}},"uniqueKey":"errors.items.[INDEX].source.oneOf.0","typeLabel":"object"},{"type":"null","description":"An object containing references to the primary source of the error.","uniqueKey":"errors.items.[INDEX].source.oneOf.1","typeLabel":"null"}],"uniqueKey":"errors.items.[INDEX].source","typeLabel":"object | null"},"meta":{"oneOf":[{"type":"object","additionalProperties":{"oneOf":[{}],"uniqueKey":"errors.items.[INDEX].meta.oneOf.0.additionalProperties","typeLabel":"any"},"description":"Any additional metadata about the error.","uniqueKey":"errors.items.[INDEX].meta.oneOf.0","typeLabel":"object"},{"type":"null","additionalProperties":{"oneOf":[{}],"uniqueKey":"errors.items.[INDEX].meta.oneOf.1.additionalProperties","typeLabel":"any"},"description":"Any additional metadata about the error.","uniqueKey":"errors.items.[INDEX].meta.oneOf.1","typeLabel":"null"}],"uniqueKey":"errors.items.[INDEX].meta","typeLabel":"object | null"}},"uniqueKey":"errors.items.[INDEX]","typeLabel":"object"},"description":"An array of error objects.","isRequired":true,"uniqueKey":"errors","typeLabel":"object[]"}},"required":["errors"],"uniqueKey":"","typeLabel":"object"},"examples":{"UnhandledOrExternalServiceError":{"title":"UnhandledOrExternalServiceError","value":{"errors":[{"status":500,"code":"external_service_error","detail":"An error occurred with an external service."}]}}},"exampleType":"examples"}},"description":"Internal Server Error","headers":{"X-RateLimit-Limit":{"schema":{"type":"integer"},"description":"Effective request cap per 300-second window. Default: 200. Maximum via limit_override: 1000."},"X-RateLimit-Remaining":{"schema":{"type":"integer"},"description":"Requests remaining in the current window."},"X-RateLimit-Reset":{"schema":{"type":"string","format":"date-time"},"description":"Unix timestamp when the current 300-second window resets."}},"exampleType":"examples"},"77f77455-3052-4976-9cbf-a96b85b5c066":{"content":{"application/json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","description":"Base Error definition","properties":{"status":{"type":"integer","description":"The HTTP status code applicable to this problem.","uniqueKey":"errors.items.[INDEX].status","typeLabel":"integer"},"code":{"type":"string","description":"A unique identifier for this particular occurrence of the problem.","uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"title":{"type":"string","description":"A short summary of the problem.","uniqueKey":"errors.items.[INDEX].title","typeLabel":"string"},"detail":{"type":"string","description":"A human-readable explanation specific to this occurrence of the problem.","uniqueKey":"errors.items.[INDEX].detail","typeLabel":"string"},"source":{"oneOf":[{"type":"object","description":"An object containing references to the primary source of the error.","properties":{"pointer":{"type":"string","description":"Pointer to the value in the request document that caused the error e.g. `/actions`.","uniqueKey":"errors.items.[INDEX].source.oneOf.0.pointer","typeLabel":"string"},"parameter":{"type":"string","description":"A string indicating which URI query parameter caused the error.","uniqueKey":"errors.items.[INDEX].source.oneOf.0.parameter","typeLabel":"string"},"header":{"type":"string","description":"A string indicating the name of a single request header which caused the error.","uniqueKey":"errors.items.[INDEX].source.oneOf.0.header","typeLabel":"string"}},"uniqueKey":"errors.items.[INDEX].source.oneOf.0","typeLabel":"object"},{"type":"null","description":"An object containing references to the primary source of the error.","uniqueKey":"errors.items.[INDEX].source.oneOf.1","typeLabel":"null"}],"uniqueKey":"errors.items.[INDEX].source","typeLabel":"object | null"},"meta":{"oneOf":[{"type":"object","additionalProperties":{"oneOf":[{}],"uniqueKey":"errors.items.[INDEX].meta.oneOf.0.additionalProperties","typeLabel":"any"},"description":"Any additional metadata about the error.","uniqueKey":"errors.items.[INDEX].meta.oneOf.0","typeLabel":"object"},{"type":"null","additionalProperties":{"oneOf":[{}],"uniqueKey":"errors.items.[INDEX].meta.oneOf.1.additionalProperties","typeLabel":"any"},"description":"Any additional metadata about the error.","uniqueKey":"errors.items.[INDEX].meta.oneOf.1","typeLabel":"null"}],"uniqueKey":"errors.items.[INDEX].meta","typeLabel":"object | null"}},"uniqueKey":"errors.items.[INDEX]","typeLabel":"object"},"description":"An array of error objects.","isRequired":true,"uniqueKey":"errors","typeLabel":"object[]"}},"required":["errors"],"uniqueKey":"","typeLabel":"object"},"examples":{"ServiceUnavailableError":{"title":"ServiceUnavailableError","value":{"errors":[{"status":503,"code":"service_unavaiable","detail":"Service is temporarily unavailable"}]}}},"exampleType":"examples"}},"description":"Service Unavailable","headers":{"X-RateLimit-Limit":{"schema":{"type":"integer"},"description":"Effective request cap per 300-second window. Default: 200. Maximum via limit_override: 1000."},"X-RateLimit-Remaining":{"schema":{"type":"integer"},"description":"Requests remaining in the current window."},"X-RateLimit-Reset":{"schema":{"type":"string","format":"date-time"},"description":"Unix timestamp when the current 300-second window resets."},"Retry-After":{"schema":{"type":"integer"},"description":"Seconds to wait before retrying.","required":true}},"exampleType":"examples"}},"security":{"f5948125-d391-44cf-8912-fece347d523b":{"OAuth":{"type":"oauth2","description":"OAuth 2.0 authentication.","flows":{"authorizationCode":{"authorizationUrl":"https://zapier.com/oauth/authorize","tokenUrl":"https://zapier.com/oauth/token","scopes":{"external":"Scope that gives access to all Public APIs"}},"clientCredentials":{"tokenUrl":"https://zapier.com/oauth/token","scopes":{"external":"Scope that gives access to all Public APIs"}}},"scopes":["external"],"schemeName":"OAuth"}}},"servers":{"52142737-7f4c-4410-bc6e-f5cd38ad756c":{"url":"https://api.zapier.com","description":"Production"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"oauth2","description":"OAuth 2.0 authentication.","flows":{"authorizationCode":{"authorizationUrl":"https://zapier.com/oauth/authorize","tokenUrl":"https://zapier.com/oauth/token","scopes":{"external":"Scope that gives access to all Public APIs"}},"clientCredentials":{"tokenUrl":"https://zapier.com/oauth/token","scopes":{"external":"Scope that gives access to all Public APIs"}}},"scopes":["external"],"schemeName":"OAuth"},"schema":{"title":"OAuth2 Auth","type":"string","isRequired":true,"description":"OAuth 2.0 authentication.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"OAuth","name":"Authorization"}],"title":"OAuth"}]},"originalFileLocation":"api-reference/specs/actions.yaml"},"subdomain":"zapier-82f0e938","siteName":"Zapier","title":"Run a stored action - Zapier","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"originalFileLocation":"api-reference/actions/stored-actions/run-a-stored-action.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Execute Stored Action Executes an action on behalf of a user, this is an async process. Requires the id from a stored action Responds with the unique id for this run of the stored action. In order to fetch results you will need to poll the GET /stored-actions/{stored_action_id}/runs/{run_id} endpoint with that run id. Billing The Actions API offers support for directly billing users for Stored Action Runs, and this functionality is currently opt-in. To do this, you must provide a billing claim on the JWT used to authenticate. This claim must be a JSON string, and any values provided will override the default configuration shown below. The simplest approach is therefore to set is_billable to true, and successful Stored Action Runs will be charged to a user at a rate of one task. json billing: { \u0026quot;is_billable\u0026quot;: false, \u0026quot;origin\u0026quot;: \u0026quot;actions_api\u0026quot;, \u0026quot;usage_type\u0026quot;: \u0026quot;action_run\u0026quot;, \u0026quot;description\u0026quot;: \u0026quot;an action was run via Actions API\u0026quot;, \u0026quot;exemption_reason\u0026quot;: null, \u0026quot;exemption_details\u0026quot;: null } Rate Limits Rate limiting is applied when Gargoyle flag edge_actions_api_rate_limiting_global is active. Requests are rate limited by default unless the JWT explicitly sets rate_limit.exempt to true. json rate_limit: { \u0026quot;exempt\u0026quot;: true } Non-exempted requests are limited to 200 per 5 minutes by default. To set a custom limit, include limit_override (1–1000 requests per 5 minutes): json rate_limit: { \u0026quot;exempt\u0026quot;: false, \u0026quot;limit_override\u0026quot;: 500 }\">\u003cmeta data-mint-head name=\"application-name\" content=\"Zapier\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/zapier-82f0e938/YBlPOOl2M7kSqqiA/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/zapier-82f0e938/YBlPOOl2M7kSqqiA/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/zapier-82f0e938/YBlPOOl2M7kSqqiA/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/zapier-82f0e938/YBlPOOl2M7kSqqiA/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/zapier-82f0e938/YBlPOOl2M7kSqqiA/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/zapier-82f0e938/YBlPOOl2M7kSqqiA/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/zapier-82f0e938/YBlPOOl2M7kSqqiA/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/zapier-82f0e938/YBlPOOl2M7kSqqiA/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/zapier-82f0e938/YBlPOOl2M7kSqqiA/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Run a stored action - Zapier\">\u003cmeta data-mint-head property=\"og:description\" content=\"Execute Stored Action Executes an action on behalf of a user, this is an async process. Requires the id from a stored action Responds with the unique id for this run of the stored action. In order to fetch results you will need to poll the GET /stored-actions/{stored_action_id}/runs/{run_id} endpoint with that run id. Billing The Actions API offers support for directly billing users for Stored Action Runs, and this functionality is currently opt-in. To do this, you must provide a billing claim on the JWT used to authenticate. This claim must be a JSON string, and any values provided will override the default configuration shown below. The simplest approach is therefore to set is_billable to true, and successful Stored Action Runs will be charged to a user at a rate of one task. json billing: { \u0026quot;is_billable\u0026quot;: false, \u0026quot;origin\u0026quot;: \u0026quot;actions_api\u0026quot;, \u0026quot;usage_type\u0026quot;: \u0026quot;action_run\u0026quot;, \u0026quot;description\u0026quot;: \u0026quot;an action was run via Actions API\u0026quot;, \u0026quot;exemption_reason\u0026quot;: null, \u0026quot;exemption_details\u0026quot;: null } Rate Limits Rate limiting is applied when Gargoyle flag edge_actions_api_rate_limiting_global is active. Requests are rate limited by default unless the JWT explicitly sets rate_limit.exempt to true. json rate_limit: { \u0026quot;exempt\u0026quot;: true } Non-exempted requests are limited to 200 per 5 minutes by default. To set a custom limit, include limit_override (1–1000 requests per 5 minutes): json rate_limit: { \u0026quot;exempt\u0026quot;: false, \u0026quot;limit_override\u0026quot;: 500 }\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Zapier\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.zapier.com/api-reference/actions/stored-actions/run-a-stored-action\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://zapier-82f0e938.mintlify.app/_mintlify/api/og/v2?division=Stored+Actions\u0026amp;title=Run+a+stored+action\u0026amp;description=Execute+Stored+Action%0A%0AExecutes+an+action+on+behalf+of+a+user%2C+this+is+an+async+process.%0A%0ARequires+the+id+from+a+stored+action%0A%0AResponds+with+the+unique+id+for+\u0026amp;theme=d7e460cb9cc5ba95e728a619\u0026amp;signature=46b26657aefdd2b64b8ce7644d2f5588de87f34461cd642330abf9697655ec35\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Run a stored action - Zapier\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Execute Stored Action Executes an action on behalf of a user, this is an async process. Requires the id from a stored action Responds with the unique id for this run of the stored action. In order to fetch results you will need to poll the GET /stored-actions/{stored_action_id}/runs/{run_id} endpoint with that run id. Billing The Actions API offers support for directly billing users for Stored Action Runs, and this functionality is currently opt-in. To do this, you must provide a billing claim on the JWT used to authenticate. This claim must be a JSON string, and any values provided will override the default configuration shown below. The simplest approach is therefore to set is_billable to true, and successful Stored Action Runs will be charged to a user at a rate of one task. json billing: { \u0026quot;is_billable\u0026quot;: false, \u0026quot;origin\u0026quot;: \u0026quot;actions_api\u0026quot;, \u0026quot;usage_type\u0026quot;: \u0026quot;action_run\u0026quot;, \u0026quot;description\u0026quot;: \u0026quot;an action was run via Actions API\u0026quot;, \u0026quot;exemption_reason\u0026quot;: null, \u0026quot;exemption_details\u0026quot;: null } Rate Limits Rate limiting is applied when Gargoyle flag edge_actions_api_rate_limiting_global is active. Requests are rate limited by default unless the JWT explicitly sets rate_limit.exempt to true. json rate_limit: { \u0026quot;exempt\u0026quot;: true } Non-exempted requests are limited to 200 per 5 minutes by default. To set a custom limit, include limit_override (1–1000 requests per 5 minutes): json rate_limit: { \u0026quot;exempt\u0026quot;: false, \u0026quot;limit_override\u0026quot;: 500 }\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://zapier-82f0e938.mintlify.app/_mintlify/api/og/v2?division=Stored+Actions\u0026amp;title=Run+a+stored+action\u0026amp;description=Execute+Stored+Action%0A%0AExecutes+an+action+on+behalf+of+a+user%2C+this+is+an+async+process.%0A%0ARequires+the+id+from+a+stored+action%0A%0AResponds+with+the+unique+id+for+\u0026amp;theme=d7e460cb9cc5ba95e728a619\u0026amp;signature=46b26657aefdd2b64b8ce7644d2f5588de87f34461cd642330abf9697655ec35\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/zapier-82f0e938/YBlPOOl2M7kSqqiA/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Zapier\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#FF4F00\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.zapier.com/api-reference/actions/stored-actions/run-a-stored-action\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/actions/stored-actions/run-a-stored-action.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.zapier.com/#organization\",\"name\":\"Zapier\",\"url\":\"https://docs.zapier.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/zapier-82f0e938/uPbDC0jSuXgHCaWD/logo/light.svg?fit=max\u0026auto=format\u0026n=uPbDC0jSuXgHCaWD\u0026q=85\u0026s=b6a37289cb22ac1a9681572651874765\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.zapier.com#website\",\"name\":\"Zapier\",\"url\":\"https://docs.zapier.com\",\"publisher\":{\"@id\":\"https://docs.zapier.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.zapier.com/api-reference/actions/stored-actions/run-a-stored-action#webpage\",\"url\":\"https://docs.zapier.com/api-reference/actions/stored-actions/run-a-stored-action\",\"name\":\"Run a stored action\",\"description\":\"Execute Stored Action Executes an action on behalf of a user, this is an async process. Requires the id from a stored action Responds with the unique id for this run of the stored action. In order to fetch results you will need to poll the GET /stored-actions/{stored_action_id}/runs/{run_id} endpoint with that run id. Billing The Actions API offers support for directly billing users for Stored Action Runs, and this functionality is currently opt-in. To do this, you must provide a billing claim on the JWT used to authenticate. This claim must be a JSON string, and any values provided will override the default configuration shown below. The simplest approach is therefore to set is_billable to true, and successful Stored Action Runs will be charged to a user at a rate of one task. json billing: { \\\"is_billable\\\": false, \\\"origin\\\": \\\"actions_api\\\", \\\"usage_type\\\": \\\"action_run\\\", \\\"description\\\": \\\"an action was run via Actions API\\\", \\\"exemption_reason\\\": null, \\\"exemption_details\\\": null } Rate Limits Rate limiting is applied when Gargoyle flag edge_actions_api_rate_limiting_global is active. Requests are rate limited by default unless the JWT explicitly sets rate_limit.exempt to true. json rate_limit: { \\\"exempt\\\": true } Non-exempted requests are limited to 200 per 5 minutes by default. To set a custom limit, include limit_override (1–1000 requests per 5 minutes): json rate_limit: { \\\"exempt\\\": false, \\\"limit_override\\\": 500 }\",\"isPartOf\":{\"@id\":\"https://docs.zapier.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.zapier.com/api-reference/actions/stored-actions/run-a-stored-action#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.zapier.com/api-reference/actions/stored-actions/run-a-stored-action#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Actions API\",\"item\":\"https://docs.zapier.com/api-reference/actions/stored-actions/list-stored-actions\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Stored Actions\",\"item\":\"https://docs.zapier.com/api-reference/actions/stored-actions/list-stored-actions\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Run a stored action\",\"item\":\"https://docs.zapier.com/api-reference/actions/stored-actions/run-a-stored-action\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.zapier.com/api-reference/actions/stored-actions/run-a-stored-action#apireference\",\"headline\":\"Run a stored action\",\"name\":\"Run a stored action\",\"description\":\"Execute Stored Action Executes an action on behalf of a user, this is an async process. Requires the id from a stored action Responds with the unique id for this run of the stored action. In order to fetch results you will need to poll the GET /stored-actions/{stored_action_id}/runs/{run_id} endpoint with that run id. Billing The Actions API offers support for directly billing users for Stored Action Runs, and this functionality is currently opt-in. To do this, you must provide a billing claim on the JWT used to authenticate. This claim must be a JSON string, and any values provided will override the default configuration shown below. The simplest approach is therefore to set is_billable to true, and successful Stored Action Runs will be charged to a user at a rate of one task. json billing: { \\\"is_billable\\\": false, \\\"origin\\\": \\\"actions_api\\\", \\\"usage_type\\\": \\\"action_run\\\", \\\"description\\\": \\\"an action was run via Actions API\\\", \\\"exemption_reason\\\": null, \\\"exemption_details\\\": null } Rate Limits Rate limiting is applied when Gargoyle flag edge_actions_api_rate_limiting_global is active. Requests are rate limited by default unless the JWT explicitly sets rate_limit.exempt to true. json rate_limit: { \\\"exempt\\\": true } Non-exempted requests are limited to 200 per 5 minutes by default. To set a custom limit, include limit_override (1–1000 requests per 5 minutes): json rate_limit: { \\\"exempt\\\": false, \\\"limit_override\\\": 500 }\",\"url\":\"https://docs.zapier.com/api-reference/actions/stored-actions/run-a-stored-action\",\"mainEntityOfPage\":{\"@id\":\"https://docs.zapier.com/api-reference/actions/stored-actions/run-a-stored-action#webpage\"},\"publisher\":{\"@id\":\"https://docs.zapier.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.zapier.com#website\"}}]}\u003c/script>","siteName":"Zapier","nav":{"global":{"anchors":[{"anchor":"Community","icon":"users","href":"https://community.zapier.com/"},{"anchor":"Changelog","icon":"rss","href":"/white-label/changelog"},{"anchor":"Contact Us","icon":"envelope","href":"https://developer.zapier.com/co
[...]
